# std::basic_regex<CharT,Traits>::swap

From cppreference.com
< cpp‎ | regex‎ | basic regex

void swap( basic_regex& other ) noexcept; |  | (since C++11)

Exchanges the contents of two regular expressions.

### Parameters

other | - | the regular expression to swap with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

std::swap(std::basic_regex) (C++11) | specializes the std::swap algorithm (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/basic_regex/swap&oldid=93302"